Type.registerNamespace("Telerik.Web.UI.Spell");
Telerik.Web.UI.Spell.SpellDialog=function(_1){
Telerik.Web.UI.Spell.SpellDialog.initializeBase(this,[_1]);
this._clientParameters=null;
this._spell=null;
this._modeChangedHandler=null;
this._suggestionsDblClickHandler=null;
this._localization={};
this._spellProcessor=null;
this._contentDisplay=null;
this._serviceConfiguration=null;
this._serviceUrl=null;
this._windowClosingDelegate=null;
};
Telerik.Web.UI.Spell.SpellDialog.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"initialize");
this.initChildControls();
},dispose:function(){
if(this._contentDisplay){
this._contentDisplay.remove_modeChanged(this._modeChangedHandler);
this._modeChangedHandler=null;
this._contentDisplay.remove_suggestionsDblClick(this._suggestionsDblClickHandler);
this._suggestionsDblClickHandler=null;
}
this._windowClosingDelegate=null;
Telerik.Web.UI.Spell.SpellDialog.callBaseMethod(this,"dispose");
},clientInit:function(_2){
this._suggestions.disabled=false;
this._suggestions.options.length=0;
this._suggestions.focus();
this._suggestions.disabled=true;
this.enableButton(this._cancel);
this.findChildElement("_TextContainer").innerHTML="";
this._clientParameters=_2;
this._spell=this._clientParameters.spell;
this._textSource=this._clientParameters.textSource;
if(!this._textSource||!this._textSource.get_text){
alert("This textsource does not support the get_text() method.");
return;
}
var _3=Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference();
var _4=_3.BrowserWindow;
if(_3.add_close!=_4.Telerik.Web.UI.RadWindow.prototype.add_close){
this._windowClosingDelegate=Function.createDelegate(this,new Function("sender","args","this.prepareClose();"));
}else{
this._windowClosingDelegate=_3.BrowserWindow.Function.createDelegate(this,new _3.BrowserWindow.Function("sender","args","this.prepareClose();"));
}
_3.add_close(this._windowClosingDelegate);
this._textToCheck=this.escapeNewLines(this._textSource.get_text());
var _5=this;
if(this._clientParameters.dictionaryLanguage){
this.get_service().set_language(this._clientParameters.dictionaryLanguage);
}
this.get_service().spellCheck(this._textToCheck);
},initChildControls:function(){
this._suggestions=this.findChildElement("_Suggestions");
this._ignore=this.getConfiguredButton("_Ignore",this.ignoreHandler);
this._ignoreAll=this.getConfiguredButton("_IgnoreAll",this.ignoreAllHandler);
this._addCustom=this.getConfiguredButton("_AddCustom",this.addCustomHandler);
this._change=this.getConfiguredButton("_Change",this.changeHandler);
this._changeAll=this.getConfiguredButton("_ChangeAll",this.changeAllHandler);
this._undo=this.getConfiguredButton("_Undo",this.undoHandler);
this._cancel=this.getConfiguredButton("_Cancel",this.cancelHandler);
},ignoreHandler:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}else{
this._spellProcessor.ignore();
this.raiseOnClientWordIgnoredEvent(false);
this.moveForward();
}
},ignoreAllHandler:function(){
if(this._ignoreAll.disabled){
return;
}
this._spellProcessor.ignoreAll();
this.raiseOnClientWordIgnoredEvent(true);
this.moveForward();
},addCustomHandler:function(){
if(this._addCustom.disabled){
return;
}
var _6=this._spellProcessor.currentBadWord().wordString;
if(!confirm(this.get_localization()["AddWord1"]+_6+this.get_localization()["AddWord2"])){
return;
}
this.disableAllButtons();
var _7=this;
this.get_service().addCustomWord(_6);
},changeHandler:function(){
if(this._change.disabled){
return;
}
this.changeCurrentWord(this._contentDisplay.replacementWord());
},changeAllHandler:function(){
if(this._changeAll.disabled){
return;
}
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.changeAll(this._contentDisplay.replacementWord());
this.raiseOnClientWordCorrectedEvent(true);
this.moveForward();
},undoHandler:function(){
if(this._undo.disabled){
return;
}
var _8=this._spellProcessor.lastActionBadWordStartCharOffsets();
this._spellProcessor.undo();
this.raiseOnClientActionUndoneEvent(_8);
this.processCurrentStep();
},cancelHandler:function(){
if(this._cancel.disabled){
return;
}
this.closeDialog(this._spellProcessor&&this._spellProcessor.textChanged()&&confirm(this.get_localization()["Confirm"]));
},disableButton:function(_9){
_9.disabled=true;
_9.className="buttonDisabled";
},enableButton:function(_a){
_a.disabled=false;
_a.className="button";
},setButtonEnabled:function(_b,_c){
if(_c){
this.enableButton(_b);
}else{
this.disableButton(_b);
}
},getConfiguredButton:function(_d,_e){
var _f=this.findChildElement(_d);
if(_f){
$addHandlers(_f,{click:_e},this);
_f.disabled=true;
}
return _f;
},findChildElement:function(_10){
return $get(this.get_id()+_10);
},get_service:function(){
if(this._service==null){
this._service=$create(Telerik.Web.UI.SpellCheckService,null,null,null);
this._service.set_configuration(this.get_serviceConfiguration());
this._service.set_url(this.get_serviceUrl());
this._service.add_complete(Function.createDelegate(this,this.spellCheckResponseReceived));
}
return this._service;
},changeCurrentWord:function(_11){
if(this._spellProcessor.allWordsFixed()){
return;
}
this._spellProcessor.change(_11);
this.raiseOnClientWordCorrectedEvent(false);
this.moveForward();
},moveForward:function(){
this._spellProcessor.moveToNextWord();
this.processCurrentStep();
},processCurrentStep:function(){
if(!this._spellProcessor.allWordsFixed()){
this.updateContent();
}else{
this.closeDialog(true);
}
},prepareClose:function(_12){
if(null!=this._windowClosingDelegate){
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().remove_close(this._windowClosingDelegate);
this._windowClosingDelegate=null;
}
this.disableAllButtons();
this.raiseDialogClosingEvents();
if(this._spellProcessor){
if(this._spellProcessor.allWordsFixed()){
this._spell.set_spellChecked(true);
}
if(_12){
this.applyChanges();
}
this._spellProcessor=null;
}
},closeDialog:function(_13){
this.prepareClose(_13);
this._spell.raiseEvent("clientDialogClosing",Sys.EventArgs.Empty);
Telerik.Web.UI.Dialogs.CommonDialogScript.get_windowReference().close();
},spellCheckResponseReceived:function(_14,_15){
if(_15.AddCustomWord){
var _16=this._spellProcessor.currentBadWord().wordString;
this._spellProcessor.processCustomWordAddition();
this.raiseOnClientCustomWordAddedEvent(_16);
this.processCurrentStep();
this.enableButton(this._cancel);
}else{
var _17={textToCheck:this._textToCheck,badWords:_15.badWords,wordOffsets:_15.wordOffsets};
this._spellProcessor=$create(Telerik.Web.UI.Spell.SpellProcessor,_17,null,null);
if(!this._spellProcessor.allWordsFixed()){
this.initContentDisplay();
this.updateContent();
}else{
this.closeDialog(true);
}
}
},escapeNewLines:function(_18){
var _19=_18.replace(/\n/gi,"&nbsp;<telerikcr />");
_19=_19.replace(/\r/gi,"<teleriklf />");
return _19;
},unEscapeNewLines:function(_1a){
var _1b=_1a.replace(/(&nbsp;)?<telerikcr\s*\/>/gi,"\n");
var _1b=_1b.replace(/<teleriklf\s*\/>/gi,"\r");
return _1b;
},updateContent:function(){
if(this._contentDisplay.get_editMode()){
this._contentDisplay.switchMode();
}
this._contentDisplay.showText(this._spellProcessor.currentErrorContent());
this.focusCurrentError();
this._contentDisplay.fillSuggestions(this._spellProcessor.currentSuggestions());
this.updateButtonStates();
},focusCurrentError:function(){
var _1c=document.getElementById(this._spellProcessor.highlightedElementId());
if(_1c&&!this._contentDisplay.get_editMode()){
this._contentDisplay.get_textContainer().scrollTop=_1c.offsetTop;
_1c.focus();
}
},disableAllButtons:function(){
this.disableButton(this._ignore);
this.disableButton(this._ignoreAll);
this.disableButton(this._change);
this.disableButton(this._changeAll);
this.disableButton(this._undo);
this.disableButton(this._cancel);
if(this._addCustom){
this.disableButton(this._addCustom);
}
},initContentDisplay:function(){
this._modeChangedHandler=Function.createDelegate(this,this.contentDisplay_modeChanged);
this._suggestionsDblClickHandler=Function.createDelegate(this,this.contentDisplay_suggestionsDblClick);
var _1d={localization:this.get_localization(),textContainer:this.findChildElement("_TextContainer"),textEditor:this.findChildElement("_TextEditor"),suggestions:this._suggestions};
var _1e={modeChanged:this._modeChangedHandler,suggestionsDblClick:this._suggestionsDblClickHandler};
if(!this._contentDisplay){
this._contentDisplay=$create(Telerik.Web.UI.Spell.ContentDisplay,_1d,_1e,null);
}
this._contentDisplay.focus();
},updateButtonStates:function(){
var _1f=this._spellProcessor.currentSuggestions().length>0;
this.enableButton(this._ignore);
this.setButtonEnabled(this._ignoreAll,!this._contentDisplay.get_editMode());
this.setButtonEnabled(this._undo,this._spellProcessor.currentUndoAction()!=null);
this.setButtonEnabled(this._change,this._contentDisplay.get_editMode()||_1f);
this.setButtonEnabled(this._changeAll,!this._contentDisplay.get_editMode()&&_1f);
if(this._addCustom!=null){
this.setButtonEnabled(this._addCustom,!this._contentDisplay.get_editMode());
}
this._ignore.innerHTML=this._contentDisplay.get_editMode()?this.get_localization()["UndoEdit"]:this.get_localization()["Ignore"];
},contentDisplay_modeChanged:function(_20,_21){
var _22="";
if(_21.editMode){
_22=this._spellProcessor.currentBadWord().wordString;
}else{
_22=this._spellProcessor.currentErrorContent();
}
this.updateButtonStates();
this._contentDisplay.showText(_22);
this.focusCurrentError();
},contentDisplay_suggestionsDblClick:function(_23,_24){
if(this._spellProcessor.currentSuggestions().length>0){
this.changeCurrentWord(_24.selectedValue);
}else{
alert(this.get_localization()["Nosuggestions"]);
}
},applyChanges:function(){
this._textSource.set_text(this.unEscapeNewLines(this._spellProcessor._textToCheck));
},raiseDialogClosingEvents:function(){
if(this._spellProcessor&&this._spellProcessor.allWordsFixed()){
var _25={suppressCompleteMessage:false};
this._spell.raiseEvent("clientCheckFinished",_25);
if(!_25.suppressCompleteMessage){
alert(this.get_localization()["SpellCheckComplete"]);
}
}else{
this._spell.raiseEvent("clientCheckCancelled",Sys.EventArgs.Empty);
}
},raiseOnClientWordCorrectedEvent:function(_26){
var _27=this._spellProcessor.currentBadWord();
var _28={originalWord:_27.originalWordString,newWord:_27.wordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),changeAll:_26};
this._spell.raiseEvent("clientWordCorrected",_28);
},raiseOnClientWordIgnoredEvent:function(_29){
var _2a=this._spellProcessor.currentBadWord();
var _2b={ignoreWord:_2a.originalWordString,offsets:this._spellProcessor.lastActionBadWordStartCharOffsets(),ignoreAll:_29};
this._spell.raiseEvent("clientWordIgnored",_2b);
},raiseOnClientActionUndoneEvent:function(_2c){
var _2d=this._spellProcessor.currentBadWord();
var _2e={originalWord:_2d.originalWordString,offsets:_2c};
this._spell.raiseEvent("clientActionUndone",_2e);
},raiseOnClientCustomWordAddedEvent:function(_2f){
var _30={customWord:_2f};
this._spell.raiseEvent("clientCustomWordAdded",_30);
},get_language:function(){
return this._language;
},set_language:function(_31){
this._language=_31;
},get_localization:function(){
return this._localization;
},set_localization:function(_32){
this._localization=_32;
},get_serviceUrl:function(){
return this._serviceUrl;
},set_serviceUrl:function(_33){
this._serviceUrl=_33;
},get_serviceConfiguration:function(){
return this._serviceConfiguration;
},set_serviceConfiguration:function(_34){
this._serviceConfiguration=_34;
}};
Telerik.Web.UI.Spell.SpellDialog.registerClass("Telerik.Web.UI.Spell.SpellDialog",Telerik.Web.UI.RadWebControl,Telerik.Web.IParameterConsumer);
Telerik.Web.UI.Spell.SpellProcessorActions=function(){
throw Error.invalidOperation();
};
Telerik.Web.UI.Spell.SpellProcessorActions.prototype={Change:0,ChangeAll:1,Ignore:2,IgnoreAll:4,AddCustom:8};
Telerik.Web.UI.Spell.SpellProcessorActions.registerEnum("Telerik.Web.UI.Spell.SpellProcessorActions",false);
Telerik.Web.UI.Spell.SpellProcessor=function(){
Telerik.Web.UI.Spell.SpellProcessor.initializeBase(this);
this._textToCheck=null;
this._badWords=null;
this._wordOffsets=null;
this._currentBadWordIndex=0;
this._undoActions=[];
this._surroundingWordsCount=10;
};
Telerik.Web.UI.Spell.SpellProcessor.prototype={initialize:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"initialize");
},dispose:function(){
Telerik.Web.UI.Spell.SpellProcessor.callBaseMethod(this,"dispose");
},moveToNextWord:function(){
var _35=this.nextBadWordIndex();
if(_35<0){
return;
}
this.set_currentBadWordIndex(_35);
},moveToPreviousWord:function(){
this.set_currentBadWordIndex(this.nextBadWordIndex(0));
},nextBadWordIndex:function(_36){
if(typeof (_36)=="undefined"){
_36=this.get_currentBadWordIndex();
}
for(var i=_36;i<this._badWords.length;i++){
if(this.getBadWord(i).originalWordString==null){
return i;
}
}
return -1;
},allWordsFixed:function(){
return this.nextBadWordIndex()<0;
},currentErrorContent:function(){
var _38=this.currentBadWord();
return this.startString(this.get_currentBadWordIndex(),true)+"<a style='border-bottom: 1px dotted red;font-weight: bold;' id="+this.highlightedElementId()+">"+_38.wordString+"</a>"+this.endString(this.get_currentBadWordIndex(),true);
},highlightedElementId:function(){
return "spell_highlight_"+this.currentBadWord().wordString;
},startString:function(_39,_3a){
var _3b=0;
var _3c=this.getBadWord(_39);
if(_3a&&(_3c.textOffset>this._surroundingWordsCount)){
var _3d=_3c.textOffset-this._surroundingWordsCount;
_3b=this._wordOffsets[_3d];
}
return this._textToCheck.substring(_3b,this.wordStartCharIndex(_39));
},endString:function(_3e,_3f){
var _40=this._textToCheck.length;
var _41=this.getBadWord(_3e);
if(_3f&&(this._wordOffsets.length>_41.textOffset+this._surroundingWordsCount)){
var _42=_41.textOffset+this._surroundingWordsCount;
_40=this._wordOffsets[_42];
}
return this._textToCheck.substring(this.wordEndCharIndex(_3e),_40);
},wordStartCharIndex:function(_43){
return this._wordOffsets[this.wordOffset(_43)];
},wordEndCharIndex:function(_44){
return this.wordStartCharIndex(_44)+this.getBadWord(_44).wordString.length;
},getBadWord:function(_45){
return this._badWords[_45];
},currentBadWord:function(){
return this.getBadWord(this.get_currentBadWordIndex());
},wordOffset:function(_46){
return this.getBadWord(_46).textOffset;
},currentWordOffset:function(){
return this.currentBadWord().textOffset;
},currentSuggestions:function(){
return this.currentBadWord().suggestionsString;
},ignore:function(){
this.changeWord(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.Ignore);
},ignoreAll:function(){
this.changeAllWords(this.currentBadWord().wordString,Telerik.Web.UI.Spell.SpellProcessorActions.IgnoreAll);
},change:function(_47){
this.changeWord(_47,Telerik.Web.UI.Spell.SpellProcessorActions.Change);
},changeAll:function(_48){
this.changeAllWords(_48,Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll);
},processCustomWordAddition:function(){
var _49=this.sameWordStringBadWordIndexes();
for(var i=_49.length-1;i>=0;i--){
var _4b=_49[i];
this._badWords.splice(_4b,1);
}
this.moveToNextWord();
},changeWord:function(_4c,_4d){
var _4e=[this.get_currentBadWordIndex()];
this.processChange(_4e,_4c,false,_4d);
this.registerUndoStep(_4e);
},changeAllWords:function(_4f,_50){
var _51=this.sameWordStringBadWordIndexes();
this.processChange(_51,_4f,false,_50);
this.registerUndoStep(_51);
},changeText:function(_52,_53){
this._textToCheck=this.startString(_52,false)+_53+this.endString(_52,false);
},offsetsByBadWordIndexes:function(_54){
var _55=[];
for(var i=0;i<_54.length;i++){
_55[_55.length]=this.wordOffset(_54[i]);
}
return _55;
},lastActionBadWordOffsets:function(){
var _57=this.currentUndoAction();
return this.offsetsByBadWordIndexes(_57);
},lastActionBadWordStartCharOffsets:function(){
var _58=[];
var _59=this.lastActionBadWordOffsets();
for(var i=0;i<_59.length;i++){
_58[_58.length]=this._wordOffsets[_59[i]];
}
return _58;
},sameWordStringBadWordIndexes:function(){
var _5b=this.currentBadWord().wordString;
var _5c=[this.get_currentBadWordIndex()];
for(var _5d=this.get_currentBadWordIndex()+1;_5d<this._badWords.length;_5d++){
if(this.getBadWord(_5d).wordString==_5b){
_5c[_5c.length]=_5d;
}
}
return _5c;
},undo:function(){
var _5e=this.currentUndoAction();
var _5f=this.getBadWord(_5e[0]).originalWordString;
this.processChange(_5e,_5f,true);
this.unregisterUndoStep();
this.moveToPreviousWord();
},correctWord:function(_60,_61,_62){
if(this.getBadWord(_60).originalWordString){
return;
}
var _63=this.getBadWord(_60);
_63.originalWordString=_63.wordString;
_63.wordString=_61;
_63.correctionAction=_62;
},restoreWord:function(_64){
var _65=this.getBadWord(_64);
_65.wordString=_65.originalWordString;
_65.originalWordString=null;
_65.correctionAction=null;
},processChange:function(_66,_67,_68,_69){
for(var i=0;i<_66.length;i++){
var _6b=_66[i];
var _6c=this.getBadWord(_6b);
var _6d=_67.length-_6c.wordString.length;
this.adjustOffsetsAfterChangedWord(_6c,_6d);
this.changeText(_6b,_67);
if(_68){
this.restoreWord(_6b);
}else{
this.correctWord(_6b,_67,_69);
}
}
},adjustOffsetsAfterChangedWord:function(_6e,_6f){
for(var _70=_6e.textOffset+1;_70<this._wordOffsets.length;_70++){
this._wordOffsets[_70]+=_6f;
}
},currentUndoAction:function(){
if(this._undoActions.length==0){
return null;
}
return this._undoActions[this._undoActions.length-1];
},registerUndoStep:function(_71){
this._undoActions[this._undoActions.length]=_71;
},unregisterUndoStep:function(){
this._undoActions=this._undoActions.slice(0,-1);
},textChanged:function(){
for(var i=0;i<this.get_currentBadWordIndex();i++){
var _73=this.getBadWord(i).correctionAction;
if(_73==Telerik.Web.UI.Spell.SpellProcessorActions.Change||_73==Telerik.Web.UI.Spell.SpellProcessorActions.ChangeAll){
return true;
}
}
return false;
},get_currentBadWordIndex:function(){
return this._currentBadWordIndex;
},set_currentBadWordIndex:function(_74){
this._currentBadWordIndex=_74;
},get_textToCheck:function(){
return this._textToCheck;
},set_textToCheck:function(_75){
this._textToCheck=_75;
},get_badWords:function(){
return this._badWords;
},set_badWords:function(_76){
this._badWords=_76;
},get_wordOffsets:function(){
return this._wordOffsets;
},set_wordOffsets:function(_77){
this._wordOffsets=_77;
}};
Telerik.Web.UI.Spell.SpellProcessor.registerClass("Telerik.Web.UI.Spell.SpellProcessor",Sys.Component);
Telerik.Web.UI.Spell.ContentDisplay=function(){
Telerik.Web.UI.Spell.ContentDisplay.initializeBase(this);
this._editMode=false;
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
};
Telerik.Web.UI.Spell.ContentDisplay.prototype={initialize:function(){
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"initialize");
$addHandlers(this.get_textContainer(),{click:this.switchMode},this);
this.get_suggestions().disabled=false;
$addHandlers(this.get_suggestions(),{dblclick:this.suggestionsDblClick},this);
},dispose:function(){
$clearHandlers(this.get_suggestions());
$clearHandlers(this.get_textContainer());
this._textContainer=null;
this._textEditor=null;
this._suggestions=null;
this._localization=null;
Telerik.Web.UI.Spell.ContentDisplay.callBaseMethod(this,"dispose");
},showText:function(_78){
if(this.get_editMode()){
this.get_textEditor().value=_78;
}else{
this.get_textContainer().innerHTML=_78;
}
},focus:function(){
if(this.get_editMode()){
this.get_textEditor().focus();
}else{
if(this.get_suggestions().disabled){
this.get_suggestions().disabled=false;
}
this.get_suggestions().focus();
}
},switchMode:function(){
this.set_editMode(!this.get_editMode());
if(this.get_editMode()){
this.get_textContainer().style.display="none";
this.get_textEditor().style.display="block";
this.get_textEditor().focus();
this.get_suggestions().disabled=true;
}else{
this.get_textContainer().style.display="";
this.get_textEditor().style.display="none";
this.get_suggestions().disabled=false;
}
this.raiseEvent("modeChanged",{editMode:this.get_editMode()});
this.focus();
},replacementWord:function(){
if(this.get_editMode()){
return this.get_textEditor().value;
}else{
return this.selectedSuggestion();
}
},selectedSuggestion:function(){
return this.get_suggestions().options[this.get_suggestions().selectedIndex].value;
},fillSuggestions:function(_79){
this.clearSuggestions();
if(_79.length>0){
for(var i=0;i<_79.length;i++){
this.addSuggestion(_79[i]);
}
}else{
this.addSuggestion(this.get_localization()["Nosuggestions"]);
}
this.get_suggestions().selectedIndex=0;
},clearSuggestions:function(){
this.get_suggestions().options.length=0;
},addSuggestion:function(_7b){
this.get_suggestions().options[this.get_suggestions().options.length]=new Option(_7b,_7b);
},suggestionsDblClick:function(){
this.raiseEvent("suggestionsDblClick",{selectedValue:this.selectedSuggestion()});
},raiseEvent:function(_7c,_7d){
var _7e=this.get_events().getHandler(_7c);
if(_7e){
if(!_7d){
_7d=Sys.EventArgs.Empty;
}
_7e(this,_7d);
}
},add_modeChanged:function(_7f){
this.get_events().addHandler("modeChanged",_7f);
},remove_modeChanged:function(_80){
this.get_events().removeHandler("modeChanged",_80);
},add_suggestionsDblClick:function(_81){
this.get_events().addHandler("suggestionsDblClick",_81);
},remove_suggestionsDblClick:function(_82){
this.get_events().removeHandler("suggestionsDblClick",_82);
},set_localization:function(_83){
this._localization=_83;
},get_localization:function(){
return this._localization;
},set_suggestions:function(_84){
this._suggestions=_84;
},get_suggestions:function(){
return this._suggestions;
},set_textContainer:function(_85){
this._textContainer=_85;
},get_textContainer:function(){
return this._textContainer;
},set_editMode:function(_86){
this._editMode=_86;
},get_editMode:function(){
return this._editMode;
},set_textEditor:function(_87){
this._textEditor=_87;
},get_textEditor:function(){
return this._textEditor;
}};
Telerik.Web.UI.Spell.ContentDisplay.registerClass("Telerik.Web.UI.Spell.ContentDisplay",Sys.Component);

